package net.wanji.web.controller;

import io.swagger.annotations.Api;
import net.wanji.web.vo.TestVO;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2023/1/12 21:38
 */
@RestController
@Api(value = "测试", description = "测试", tags = "测试")
@RequestMapping("/test")
public class TestController {
    @PostMapping("/date")
    public void testDate(@RequestBody TestVO testVO) {
        Date testDate = testVO.getTestDate();
        System.out.println(testDate);
    }

    @GetMapping("/getDate")
    public Date getDate() {
        Date date = new Date();
        return date;
    }
}
